#
# spec file for package econnman
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           econnman
Version:        1.1
Release:        bp155.1.8
Summary:        EFL user interface for connman
License:        GPL-3.0-only
Group:          Productivity/Networking/System
Url:            http://enlightenment.org/
Source:         https://download.enlightenment.org/rel/apps/econnman/%{name}-%{version}.tar.xz
Patch0:         desktop.patch
BuildRequires:  automake
BuildRequires:  pkgconfig
BuildRequires:  python3
BuildRequires:  pkgconfig(edje) >= 1.8.0
# SECTION Check list of dependencies
BuildRequires:  connman
BuildRequires:  python3-efl
Requires:       connman
Requires:       python3
Requires:       python3-efl
BuildArch:      noarch
# /SECTION
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif

%description
EFL user interface for connman (Connection Manager).

%prep
%setup -q
%patch0 -p1

# Default python executable
for _file in $(grep -rl '^\#\!'); do
  find -name ${_file##*/} -type f -exec sed -i '/^\#\!/s/python/python3/' {} +
done

%build
[ ! -e configure ] && NOCONFIGURE=1 ./autogen.sh
export PYTHON=%{_bindir}/python3
%{!?mageia:%configure}
%{?mageia:%configure2_5x}
make %{?_smp_mflags}

%install
%make_install

%if 0%{?suse_version}
%suse_update_desktop_file -r %{name} Enlightenment Network Settings
%suse_update_desktop_file -u -r %{name} Enlightenment Network Settings
%endif

%files
%license COPYING
%doc README AUTHORS
%{_bindir}/%{name}-bin
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}*.desktop

%changelog
* Thu Mar 31 2022 Bernhard Wiedemann <bwiedemann@suse.com>
- Work without network-fixed.png - dropped from adwaita-icon-theme
* Tue Apr 24 2018 avvissu@yandex.by
- Install icon from adwaita-icon-theme
- Spec file cleanup
* Wed Feb 14 2018 jengelh@inai.de
- Pick a more fitting RPM group.
* Sat Dec  2 2017 avvissu@yandex.by
- Update sourceURL
* Mon Oct  2 2017 avvissu@yandex.by
- Check list of dependencies (add BuildRequires: connman python3-efl)
- Add the PYTHON=python3 variable to the configure command
- Fix the python version to run
- Fix: Icon file not found
- Replace categories defined
- Build a noarch pakage
- Fix build on Mageia
* Mon Sep 12 2016 simonf.lees@suse.com
- Migrate to python3
* Sun Dec 15 2013 sleep_walker@suse.cz
- simplify build and run time dependencies
- pipe through spec-cleaner
* Tue Dec 10 2013 sleep_walker@suse.cz
- license fix
* Tue Dec 10 2013 sleep_walker@suse.cz
- get new git snapshot to fix compilation against python-efl (from Nightly)
- take also updated desktop.patch (from Nightly)
* Thu Nov 29 2012 sleep_walker@suse.cz
- econnman needs efreet, not e17
* Thu Nov 29 2012 simon@simotek.net
- add missing python-edje dependency should this also go into python-elementry?
* Sat Nov  3 2012 simon@simotek.net
- add connman dependency
- add python-ecore and python-evas deps (these should go into python-elementry oneday.
* Sun Sep 23 2012 sleep_walker@suse.cz
- let there be econnman!
